#!/usr/bin/python

# RTSync: real-time compiler and runtime environment
# Copyright (C) 2004  Stefan D. Bruda, Petter Haggholm, and Scott Stoddard
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program in a file named LICENSE; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

__module_name__="Message logger"
__module_version__="0.1"
__module_description__="RTSync message log to database script"


# System services, like exit()
import sys
# Database services
from pg import DB


uid, db, password, server = 'mickey', 'scott', 'mouse', 'delta'

try:
    con = DB(dbname=db, host=server, user=uid, passwd=password)
except:
    print 'Error connecting to server:',
    print server
    sys.exit(1)

logfile = open('../messages.log', 'r')

# Clear database
query = 'DELETE FROM messages'
con.query(query)

# Keep doing queries while the user so desires
for line in logfile:
    serial, sender, receiver, sync, create, dispatch, \
    received, executed, before, after, params = line.split(' ', 10)

    query = "INSERT INTO messages VALUES(%i, '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s')" \
          % (int(serial), sender, receiver, sync, create, dispatch, received, executed, before, after, params)
    con.query(query)
